<apex:page tabstyle="SM_Run_Sheet_Detail__c" title="Add Sand Request" standardcontroller="SM_Run_Sheet__c" extensions="SM_RunSheetControllerX" docType="html-5.0">


<html>
<head>
<!-- Enable IE9 Standards mode -->
<meta http-equiv="X-UA-Compatible" content="IE=9" />
<title></title>
</head>
<body>
<p></p>
</body>
</html>

    <apex:includeScript value="https://code.jquery.com/jquery-1.10.2.js" />
    <apex:includeScript value="https://code.jquery.com/ui/1.10.4/jquery-ui.js" />
    <apex:styleSheet value="https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" />
    
    <style type="text/css">
        input[type="number"]
        {
            width: 80px;
        }

        html,body
        {
            margin: 0;
            padding: 0;
            height: 100%; /* needed for container min-height */
        }

        .ct
        {
            text-align: center;
        }

        .RunSheetCompleted
        {
            background-color: lightgreen;
        }

        .label
        {
            padding-right: 20px;
            text-align: right;
            font-size: 91%;
            font-weight: bold;
            width: 15%;
        }

        .header
        {
            font-weight: bold;
            color: darkgoldenrod;
        }

        .custPopup
        {
            background-color: #26ade4;
            border-width: 1px;
            border-style: solid;
            z-index: 9999;
            left: 80%;
            padding: 5px;
            position: absolute;

            /* These are the 3 css properties you will need to change so the popup
            displays in the center of the screen. First set the width. Then set
            margin-left to negative half of what the width is. You can add
            the height property for a fixed size pop up if you want.*/

            width: 450px;
            margin-left: -225px;
            top: 90px;
        }

        .BookingInfo
        {
            background-color: #26ade4;
            border-width: 1px;
            border-style: solid;
            z-index: 9999;
            padding: 5px;
            width: 225px;
        }

        .popupBackground
        {
            background-color: black;
            opacity: 0.20;
            filter: alpha(opacity = 20);
            position: absolute;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            z-index: 9998;
        }

        .tg {border-collapse:collapse; border-spacing: 0; border-color: #999;}
        .tg td {font-family:Arial, sans-serif; font-size: 11px; padding: 5px 5px; border-style: solid; border-width: 0px; overflow: hidden; word-break: normal; border-color: #999; color: #444; background-color: #f7fdfa; border-top-width:1px; border-bottom-width: 1px;}
        .tg th {font-family:Arial, sans-serif; font-size: 11px; font-weight: normal; padding:5px 5px; border-style: solid; border-width: 0px; overflow: hidden; word-break: normal; border-color: #999; color: #fff; background-color: #26ade4; border-top-width: 1px; border-bottom-width: 1px;}
        .tg .tg-hgcj {font-weight: bold; text-align: center;}
        .tg .tg-s6z2{ text-align: center;}
        
        .displayNone { 
            display:none; 
        }
        .displayBlock {
            display:block;
        }
        .ui-autocomplete-loading { 
            background: white url(/img/loading32.gif) right center no-repeat;
            background-size:15px 15px; 
        }
        .placeHolder {
            font-style: italic;
        }
    </style>

    <script>
        function setFocusOnLoad(){}
            // Relinquish jQuery's control of the $ variable
            jQuery.noConflict();
            var tempDisableBeforeUnload = false;

            jQuery(window).on('beforeunload', function()
            {
                if(tempDisableBeforeUnload == false)
                {
                    return 'If you leave this page you will lose your changes.';
                }
                else
                {
                    //reset
                    tempDisableBeforeUnload = false;
                    return;
                }
        });

        function confirmMessage(msg)
        {
            var result = confirm(msg);

            if(result)
            {
               tempDisableBeforeUnload = true;
            }

            return result;    
        }
    
        var reloadwelllist = (function ()
        {
            // get a reference to the select component in the page
            //var selectList = jQuery('[id="' + componentName + '"]');
            var selectList = jQuery('[id$=welllist]');
            
            // a javascript object to collect the elements in each region
            var regions = {};

            // iterate all of the options and collect them by region
            jQuery('option', selectList).each(function (i)
            {
                if (i === 0)
                {
                    return; // skip the first element in the list
                }

                var oElement = jQuery(this);
    
                var regionCountryArray = oElement.text().split('~');
    
                // create an array entry for the region name if there is not one
                if (!regions[regionCountryArray[0]])
                {
                    regions[regionCountryArray[0]] = [];
                }
    
                // add the item to the array for this region
                regions[regionCountryArray[0]].push(oElement);
            });
    
            // iterate all of the names in the regions object
            for (var region in regions)
            {
                // make sure the name did not come from the prototype
                if (regions.hasOwnProperty(region))
                {
                    // turn the array of items into a single jQuery collection
                    var groupElements = jQuery(regions[region]).map(function ()
                    {
                        return this.toArray();
                    });
    
                    // create the group and set the label
                    var optgroup = jQuery('<optgroup/>');
                    optgroup.attr('label', region);
    
                    // wrap the option elements in an optgroup
                    groupElements.wrapAll(optgroup);
    
                    // remove the region text from the label
                    groupElements.each(function ()
                    {
                        jQuery(this).text(function ()
                        {
                            return jQuery(this).text().replace(region + '~', '');
                        });
    
                        if(jQuery(this).text().indexOf("✓") >= 0)
                        {
                            //jQuery(this).css("background-color","lightgreen");
                            jQuery(this).addClass("RunSheetCompleted");
                        }

                        if(jQuery(this).val().substr(0,15) == '{!$CurrentPage.parameters.wellid}'.substr(0,15))
                        {
                            jQuery(this).attr('selected','selected');
                        }
                    });
                }
            }
        });
        
    
    </script>

    <apex:pageMessages id="messages" escape="false"/>

    <apex:form id="sandform">
        <apex:pageBlock id="pb" title="{!NewSheet.Date__c} - New Sand Request" mode="detail">

            <div id="InnternalDiv" style="min-height: 200px;">

            <apex:pageBlockButtons location="bottom" id="pagebuttons">
                <apex:actionstatus id="buttonstatus">
 
                    <apex:facet name="stop">
                        <apex:outputPanel >
                            <apex:commandButton rerender="messages" action="{!SaveSheet}" value="Submit Sand Request" disabled="{!!CanSubmitForm || NewSandSheetIsEditable == false}" onclick="if(!confirmMessage('Are you sure you want to submit this Sand Request?')){return false};" status="buttonstatus" />
                            <apex:commandButton rerender="none" action="{!RedirectListView}" value="Cancel" onclick="if(!confirmMessage('If you leave this page you will lose your changes.')){return false};" status="buttonstatus" />
                        </apex:outputPanel>
                    </apex:facet>

                    <apex:facet name="start">
                        <apex:outputPanel >
                            <apex:commandButton value="Submit Sand Request" disabled="true" />
                            <apex:commandButton value="Cancel" disabled="true" />
                        </apex:outputPanel>
                    </apex:facet>

                </apex:actionstatus>
            </apex:pageBlockButtons>

            <apex:actionstatus id="ajaxStatus">
                <apex:facet name="start" >
                    <!--
                    <div style="text-align: center;">
                      <img src="/img/loading.gif" alt="Loading graphic" />
                    </div>
                    -->

                    <div class="waitingSearchDiv" id="el_loading" style="background-color: #DCD6D6; height: 100%; opacity:0.65; width: 100%;"> 
                        <div class="waitingHolder" style="top: 150px; width: 200px; height: 40px; border: 1px solid black; background-color: white;">
                            <p>
                                <img class="waitingImage" src="/img/loading.gif" title="Please Wait..." />
                                <span class="waitingDescription">Please Wait...</span>
                            </p>
                        </div>
                    </div>
    
                </apex:facet>
            </apex:actionstatus>

            <apex:actionRegion >
                <apex:pageBlockSection columns="1" title="Select a Location" collapsible="false">

                    <apex:selectList id="RouteList" value="{!RouteId}" size="1" label="Operating Route" required="true" style="width: 200px;" disabled="{!WellId != null && NewSheet.Id != null}">
                        <apex:selectOption itemValue="na" itemLabel="- Select Route -"/>
                        <apex:selectOptions value="{!FullRouteList}"></apex:selectOptions>
                        <apex:actionSupport event="onchange" status="ajaxStatus" action="{!RefreshLocationList}" reRender="sandform" />
                    </apex:selectList> 

                    <apex:pageBlockSectionItem >
                        <apex:outputlabel >Location</apex:outputlabel>
                        <apex:panelGrid columns="2">

                            <apex:selectList id="welllist" styleclass="form-control rec" value="{!sSelectedLocationId}" size="1"  label="Location" style="width: 200px;" disabled="{!WellId != null && NewSheet.Id != null}">
                                <apex:selectOption itemValue="na" itemLabel="- Select Well -"/>
                                <apex:selectOptions value="{!FullLocationList}"></apex:selectOptions>
                                <apex:actionSupport event="onchange" status="ajaxStatus" action="{!RefreshSelectedWell}" rerender="sandform" />
                            </apex:selectList>

                            <apex:commandLink action="{!RedirectCustomizeWellOrder}" onclick="tempDisableBeforeUnload = true;" immediate="true" html-formnovalidate="formnovalidate" rendered="{!RouteNumber != null && WellId == null}">
                                <apex:image value="/img/icon/custom51_100/gears16.png" title="Customize Order"/>
                            </apex:commandLink>
    
                        </apex:panelGrid>
                    </apex:pageBlockSectionItem>

                    <apex:outputPanel id="ScriptPanel">  
                        <script>
                            reloadwelllist();
                        </script>            
                    </apex:outputPanel>

                </apex:pageBlockSection>
            </apex:actionRegion>

<!--
            <apex:outputPanel id="welllocked" style="width:100%;" layout="block" rendered="{!sSelectedLocationId <> null && sSelectedLocationId <> 'na' && sSelectedLocationId <> '' && NewSandSheetIsEditable == false}">
                <div style="padding-left: 70px; color: #ff0000; font-weight: bold;">This <a style="color: #0532f3;" href="/{!NewSheet.Id}" target="_blank">Sand Request</a> is locked. Please create a new Sand Request.</div>
            </apex:outputPanel>
-->

            <apex:outputPanel id="wellinfo" style="width:100%;" layout="block" rendered="{!sSelectedLocationId <> null && sSelectedLocationId <> 'na' && sSelectedLocationId <> ''}">

                <apex:pageBlockSection columns="1" title="Well Information" collapsible="false">
                </apex:pageBlockSection>

                <table cellspacing="2" cellpadding="2" border="0">
                    <tr>
                        <td style="width: 130px;">&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">Cost Center</td>
                        <td style="width: 10px;">&nbsp;</td>
                        <td>
                            {!oSelectedLocation.Cost_Center__c}
                        </td>
                        <td style="width: 30px;">&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">Sand Lead</td>
                        <td style="width: 10px;">&nbsp;</td>
                        <td>
                            <apex:outputPanel styleClass="requiredInput" layout="block" >
                                <apex:outputPanel styleClass="requiredBlock" layout="block"/>
                                <apex:inputfield value="{!NewSheet.Sand_Lead__c}" onFocus="tempDisableBeforeUnload = true;" onBlur="tempDisableBeforeUnload = false;" />
                            </apex:outputPanel>
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">Surface Location</td>
                        <td>&nbsp;</td>
                        <td>
                            {!oSelectedLocation.Surface_Location__c}
                        </td>
                        <td>&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">Field Senior</td>
                        <td>&nbsp;</td>
                        <td>
                            <a target="_blank" href="/{!oSelectedLocation.Route__r.Field_Senior__r.Id}">{!oSelectedLocation.Route__r.Field_Senior__r.FirstName + ' ' + oSelectedLocation.Route__r.Field_Senior__r.LastName}</a>
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">Current Well Status</td>
                        <td>&nbsp;</td>
                        <td>
                            {!oSelectedLocation.Current_Well_Status__c}
                        </td>
                        <td>&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">RM</td>
                        <td>&nbsp;</td>
                        <td>
                            <apex:inputfield value="{!NewSheet.RM__c}" />
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">Hazardous H2S</td>
                        <td>&nbsp;</td>
                        <td>
                            {!CurrentSour}
                        </td>
                        <td>&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">Water Transfer</td>
                        <td>&nbsp;</td>
                        <td>
                            <apex:inputfield value="{!NewSheet.Water_Transfer__c}" />
                        </td>
                    </tr>

                    <!--H2S Readings-->
                    <tr>
                        <td>&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">Last H2S Reading</td>
                        <td>&nbsp;</td>
                        <td>
                            <apex:outputfield value="{!lH2S_Readings[0].H2S_Reading__c}" 
                            rendered="{!AND(lH2S_Readings<>null,lH2S_Readings.size>0)}" 
                            style="width: 60px;"/>
                            <br/>
                            <apex:outputfield value="{!lH2S_Readings[0].CreatedDate}" 
                            rendered="{!AND(lH2S_Readings<>null,lH2S_Readings.size>0)}" 
                            style="width: 60px;"/>                            
                        </td>
                        <!--AVG OIL-->
                        <td>&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">Avg Oil Prod (m3)</td>
                        <td>&nbsp;</td>
                        <td>
                            <apex:inputfield value="{!NewSheet.OIL_Prod_m3__c}" required="true" style="width: 60px;" />
                        </td>
                        <!--
                        <td>&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">Current H2S Reading</td>
                        <td>&nbsp;</td>
                        <td>
                            <div>
                            <apex:inputfield value="{!NewH2SReading.Value__c}" style="width: 40px;" />
                            &nbsp;
                            <apex:inputfield value="{!NewH2SReading.UOM__c}"/>
                            </div>
                        </td>                        
                        -->
                    </tr>
                    <!-- AVG WATER -->
                    <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">Avg Water Prod (m3)</td>
                        <td>&nbsp;</td>
                        <td>
                            <apex:inputfield value="{!NewSheet.Water_Prod_m3__c}" required="true" style="width: 60px;" />
                        </td>
                    </tr>
                    <!--AVERAGE SAND PRODUCTION-->
                    <tr>
<!--                         <td>&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">5 Days Sand (m3)</td>
                        <td>&nbsp;</td>
                        <td>
                            <apex:outputfield value="{!oSelectedLocation.PVR_AVGVOL_5D_SAND__c}" style="width: 60px;" />
                        </td> -->
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td style="font-weight: bold; text-align: right;">Avg Sand Prod (m3)</td>
                        <td>&nbsp;</td>
                        <td>
                            <apex:outputfield value="{!oSelectedLocationPvr.PVR_AVGVOL_30D_SAND__c}" style="width: 60px;" />
                        </td>
                    </tr>
                    
                    
                </table>

                <apex:pageBlockSection columns="1" title="Tank Information - Today" collapsible="false" rendered="{!sSelectedLocationId != null && sSelectedLocationId != 'na'}"> 
                    <apex:actionFunction name="RefreshTable" status="ajaxStatus" rerender="TankTable, sandform" />
                    <apex:pageBlockTable value="{!AddSandDetails}" var="sand" id="TankTable" headerClass="ct">

                        <apex:column style="white-space: nowrap;" headerClass="ct">
                            <apex:facet name="header">
                                Tank
                            </apex:facet>
                            <apex:inputfield id="tankselect" value="{!sand.Tank_Enabled__c}" onChange="RefreshTable();" />
                            <script>document.getElementById('{!$Component.tankselect}').disabled = {!sand.Id != null && sand.Status__c != 'New'}; </script>
                            <apex:outputfield value="{!sand.Tank__c}" />
                        </apex:column>

                        <apex:column headerClass="ct">
                            <apex:facet name="header">
                                Job Type
                            </apex:facet>

                            <apex:outputPanel styleClass="requiredInput" layout="block" >
                                <apex:outputPanel styleClass="requiredBlock" layout="block" />
                                <apex:inputfield id="stingtype" value="{!sand.Sting_Type__c}" rendered="true" style="width: 130px;">
                                    <apex:actionSupport status="ajaxStatus" rerender="TankTable" event="onchange" />
                                </apex:inputfield>
                                <script>document.getElementById('{!$Component.stingtype}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                            </apex:outputPanel>
                        </apex:column>

                        <apex:column >
                            <apex:facet name="header">
                                Tank Level (m3)
                            </apex:facet>

                            <apex:outputPanel styleClass="requiredInput" layout="block" rendered="{!sand.Sting_Type__c != 'Vault'}">
                                <apex:outputPanel styleClass="requiredBlock" layout="block" />
                                <apex:inputfield id="tanklevel" value="{!sand.Tank_Level__c}" style="width: 80px;" type="number" html-min="0" html-max="500" html-step="1" />
                                <script>document.getElementById('{!$Component.tanklevel}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                            </apex:outputPanel>

                            <apex:outputPanel layout="block" rendered="{!sand.Sting_Type__c == 'Vault'}">
                                <apex:inputfield id="tanklevelvault" value="{!sand.Tank_Level__c}" style="width: 80px;" type="number" html-min="0" html-max="500" html-step="1" />
                                <script>document.getElementById('{!$Component.tanklevelvault}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                            </apex:outputPanel>
                        </apex:column>

                        <apex:column headerClass="ct">
                            <apex:facet name="header">
                                Sand Level (ft)
                            </apex:facet>

                            <apex:outputPanel styleClass="requiredInput" layout="block" rendered="{!sand.Sting_Type__c != 'Vault'}">
                                <apex:outputPanel styleClass="requiredBlock" layout="block" />
                                <apex:inputfield id="sandlevel" value="{!sand.Sand_Level__c}" rendered="true" style="width: 80px;" type="number" html-min="0" html-max="10" html-step="1" />
                                <script>document.getElementById('{!$Component.sandlevel}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                            </apex:outputPanel>

                            <apex:outputPanel layout="block" rendered="{!sand.Sting_Type__c == 'Vault'}">
                                <apex:inputfield id="sandlevelvault" value="{!sand.Sand_Level__c}" rendered="true" style="width: 80px;" type="number" html-min="0" html-max="10" html-step="1" />
                                <script>document.getElementById('{!$Component.sandlevelvault}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                            </apex:outputPanel>
                        </apex:column>

                        <apex:column headerClass="ct">
                            <apex:facet name="header">
                                Water Level (ft)
                            </apex:facet>

                            <apex:outputPanel styleClass="requiredInput" layout="block" rendered="{!sand.Sting_Type__c != 'Vault'}">
                                <apex:outputPanel styleClass="requiredBlock" layout="block"/>
                                <apex:inputfield id="waterlevel" value="{!sand.Water_Level__c}" style="width: 80px;" type="number" html-min="0" html-max="13" html-step="1" />
                                <script>document.getElementById('{!$Component.waterlevel}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                            </apex:outputPanel>

                            <apex:outputPanel layout="block" rendered="{!sand.Sting_Type__c == 'Vault'}">
                                <apex:inputfield id="waterlevelvault" value="{!sand.Water_Level__c}" style="width: 80px;" type="number" html-min="0" html-max="13" html-step="1" />
                                <script>document.getElementById('{!$Component.waterlevelvault}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                            </apex:outputPanel>
                        </apex:column>

                        <apex:column >
                            <apex:facet name="header">
                                Priority
                            </apex:facet>

                            <apex:outputPanel styleClass="requiredInput" layout="block" >
                                <apex:outputPanel styleClass="requiredBlock" layout="block"/>
                                <apex:inputfield id="priority" value="{!sand.Priority__c}" style="width: 40px;" />
                                <script>document.getElementById('{!$Component.priority}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                            </apex:outputPanel>
                        </apex:column>

                        <apex:column >
                            <apex:facet name="header">
                                Chem and Rate
                            </apex:facet>

                            <apex:inputfield id="chemandrate" value="{!sand.Chem_and_Rate__c}" style="width: 80px;" />
                            <script>document.getElementById('{!$Component.chemandrate}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                        </apex:column>

                        <apex:column >
                            <apex:facet name="header">
                                Location for Water (Well)
                            </apex:facet>

                            <apex:outputPanel styleClass="requiredInput" layout="block" rendered="{!sand.Sting_Type__c != 'Vault'}">
                                <apex:outputPanel styleClass="requiredBlock" layout="block"/>
                                <apex:inputfield id="locwaterwell" value="{!sand.Location_for_Water_Well__c}" style="width: 120px;" onFocus="tempDisableBeforeUnload = true;" onBlur="tempDisableBeforeUnload = false;" />
                                <script>document.getElementById('{!$Component.locwaterwell}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                            </apex:outputPanel>

                            <apex:outputPanel layout="block" rendered="{!sand.Sting_Type__c == 'Vault'}">
                                <apex:inputfield id="locwaterwellvault" value="{!sand.Location_for_Water_Well__c}" style="width: 120px;" onFocus="tempDisableBeforeUnload = true;" onBlur="tempDisableBeforeUnload = false;" />
                                <script>document.getElementById('{!$Component.locwaterwellvault}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                            </apex:outputPanel>
                        </apex:column>

                        <apex:column >
                            <apex:facet name="header">
                                Location for Water (Tank)
                            </apex:facet>

                            <apex:outputPanel styleClass="requiredInput" layout="block" rendered="{!sand.Sting_Type__c != 'Vault'}">
                                <apex:outputPanel styleClass="requiredBlock" layout="block"/>
                                <apex:inputfield id="locwatertank" value="{!sand.Location_for_Water_Tank__c}" />
                                <script>document.getElementById('{!$Component.locwatertank}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                            </apex:outputPanel>

                            <apex:outputPanel layout="block" rendered="{!sand.Sting_Type__c == 'Vault'}">
                                <apex:inputfield id="locwatertankvault" value="{!sand.Location_for_Water_Tank__c}" />
                                <script>document.getElementById('{!$Component.locwatertankvault}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                            </apex:outputPanel>
                        </apex:column>

                        <apex:column styleClass="ct" headerClass="ct">
                            <apex:facet name="header">
                                Flowline push
                            </apex:facet>

                            <apex:inputfield id="flowline" value="{!sand.Flowline_push__c}" />
                            <script>document.getElementById('{!$Component.flowline}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                        </apex:column>

                        <apex:column styleClass="ct" headerClass="ct">
                            <apex:facet name="header">
                                Flood Up
                            </apex:facet>

                            <apex:inputfield id="floodup" value="{!sand.Flood_Up__c}" />
                            <script>document.getElementById('{!$Component.floodup}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                        </apex:column>

                        <apex:column styleClass="ct" headerClass="ct">
                            <apex:facet name="header">
                                Blow-off location
                            </apex:facet>
                               
                            <!-- us 348 marek kosar 8/22/2016 -->
                            <!--<apex:inputfield id="blowOffTextBoxId" html-type="search" value="{!sand.Blow_off_location__c}" style="width: 90px;" />
                            -->
                            <apex:inputtext html-type="search" id="blowOffTextBoxId" value="{!sand.Blow_off_location__c}" />

                            <script>
                                var $ = jQuery.noConflict();

                                document.getElementById('{!$Component.blowOffTextBoxId}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; 

                                var blowoffLocations;
                                var queryTerm;

                                var tempId = '{!$Component.blowOffTextBoxId}';

                                $(esc(tempId)).autocomplete({
                                    minLength: 2,
                                    source: function(request, response) {
                                                console.log(request.term);     
                                                queryTerm = request.term;    
                                                console.log('queryTerm :' + queryTerm );               
                                                SM_RunSheetControllerX.searchBlowOffLocation(request.term, function(result, event){
                                                    if(event.type == 'exception') {
                                                          alert(event.message);
                                                    } else {
                                                         blowoffLocations = result;
                                                         response(blowoffLocations);
                                                    }
                                                });
                                           },
                                    focus: function( event, ui ) {
                                            $(this).val( ui.item.value );
                                            return false;
                                        },
                                    select: function( event, ui ) {
                                            $(this).val( ui.item.value );
                                            return false;
                                        }
                                }).data("ui-autocomplete")._renderItem = renItem;
                                
                                function renItem( ul, item ) {
                                    
                                    var entry = "<a>" + item.value + "</a>";
                                    //entry = highlight( entry , queryTerm );
                                    return $( "<li></li>" )
                                        .data( "ui-autocomplete-item", item )
                                        .append( entry )
                                        .appendTo( ul );
                                    
                                };
                               
                                function esc(myid) {
                                   return '#' + myid.replace(/(:|\.)/g,'\\\\$1');
                                }
                            </script>
                        </apex:column>

                        <apex:column styleClass="ct" headerClass="ct">
                            <apex:facet name="header">
                                Comments
                            </apex:facet>

                            <apex:inputfield id="comments" value="{!sand.Comments__c}" style="width: 150px;" />
                            <script>document.getElementById('{!$Component.comments}').disabled = {!!sand.Tank_Enabled__c || sand.Status__c <> 'New'}; </script>
                        </apex:column>

                        <apex:column styleClass="ct" headerClass="ct" rendered="{!NewSheet.Id != null}">
                            <apex:facet name="header">
                                Status
                            </apex:facet>

                            <apex:outputtext id="statusdisplay" rendered="{!sand.Id != null}" value="{!sand.Status__c}" />
                        </apex:column>
                    </apex:pageBlockTable>

                </apex:pageBlockSection>
            </apex:outputPanel>
            </div>
        </apex:pageBlock>

    </apex:form>
    
</apex:page>